//Based on
//http://instagr.am/developer/
//https://api.instagram.com/v1/locations/search?client_id=227998088c6944b0aaa54e7ad2311243&lat=55.42&lng=12.34
//https://api.instagram.com/v1/locations/search?lat=55.421122&lng=12.34111&client_id=227998088c6944b0aaa54e7ad2311243
//https://api.instagram.com/v1/locations/search?lat=48.858844&lng=2.294351&client_id=227998088c6944b0aaa54e7ad2311243
import org.json.*;
import java.net.URLEncoder;

//CIID Test API Key
String CLIENT_ID = "227998088c6944b0aaa54e7ad2311243";

ArrayList<InstagramPhoto> photos;

void setup() {
  size(900, 600);
  Instagram instagram = new Instagram(CLIENT_ID);
  photos = instagram.getPopularPhotos();
  //photos = instagram.getPhotosWithTag("angry");
  //photos = instagram.getPhotosNearby("55.68051640833334", "12.549065306666668");
}

void mousePressed() {
  int i = (int)(6 * Math.floor(mouseY/150) + Math.floor(mouseX/150));
  if (i < photos.size()) {
    link(photos.get(i).getLinkUrl());
  }
}

void draw() {  
  for(int i=0; i<photos.size(); i++) {
    int x = i % 6;
    int y = i / 6;
    image(photos.get(i).getThumbnail(), x * 150, y * 150, 150, 150);
  }
}
