import org.json.*;
import java.net.URLEncoder;

//CIID Test API Key
String API_KEY = "POCFJSJ41BGCZ91LZ";

float getArtistHotttness(String name) {
  String encodedName = URLEncoder.encode(name);
  String request = "http://developer.echonest.com/api/v4/artist/hotttnesss?api_key=" + API_KEY + "&name=" + encodedName + "&format=json";
  
  String[] resultArray = loadStrings( request );
  if (resultArray == null) {
    println ("There was no results");
    return 0;
  }
  String result = join(resultArray , "");
  
  try {
    JSONObject data = new JSONObject(join(loadStrings(request), ""));
    JSONObject artist = data.getJSONObject("response").getJSONObject("artist");
    float hotttnesss = (float)artist.getDouble("hotttnesss");
    println(name + " hotness is " + hotttnesss);
    return hotttnesss;
  }
  catch (JSONException e) {
    println ("There was an error parsing the JSONObject.");
  };
  return 0;
}

void drawArtistHotttness(String name, int i) {
  float hotttness = getArtistHotttness(name);  
  fill(255, 0, 0);
  noStroke();
  rect(20, 30 + i * 25, (this.width - 40) * hotttness, 20); 
  fill(255);
  textAlign(LEFT);
  text(name, 25, 30 + i * 25 + 16);
  textAlign(RIGHT);  
  text("" + Math.floor(hotttness*100)/100,  20 + (this.width - 40) * hotttness - 5, 30 + i * 25 + 16);
}

void setup() {
  size(512, 265);
  background(255);
 
  fill(0);
  text("Artist hotttness", 20, 25);
  
  drawArtistHotttness("The Prodigy", 0);
  drawArtistHotttness("The Beatles", 1);
  drawArtistHotttness("ABBA", 2);
  drawArtistHotttness("Vibrasphere", 3);
  drawArtistHotttness("Kings of Convinience", 4);
  drawArtistHotttness("Ticon", 5);
  drawArtistHotttness("Metallica", 6);
  drawArtistHotttness("Michael Jackson", 7);  
  drawArtistHotttness("Lady Gaga", 8);  
}

void draw() {  
  
}
